<?PHP
session_start();
$tipo_local = 1;
include("../../secure/secure.php");
include ('../../conf/configuracao.php');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
	<title>Cursos</title>
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#0000FF" vlink="#0000FF" alink="#FF0000">
<table width="95%" border="0" cellspacing="0" cellpadding="0" align="center">
<tr>
	<td>
		<br>
		<br>
		<strong><font face="Verdana" size="2" color="#800000">Cursos:</font></strong><br>
		<br>
		<li><a href="cursos.php?funcao=1"><font face="Verdana" size="2" color="#000000">Cadastrar Curso</font></a></li><br>
		<li><a href="cursos.php?funcao=2"><font face="Verdana" size="2" color="#000000">Alterar/Excluir Curso</a></font></li><br>
		<li><a href="cursos.php?funcao=4"><font face="Verdana" size="2" color="#000000">Listar Cursos</a></font></li><br>
	</td>
</tr>
</table>
<?
	##
	# Cadastro
	##
	if ($funcao == 1) {
?>
<strong><font face="Verdana" size="2" color="#FF0000"><div align="center">CADASTRAR Curso.</div></font></strong>
<br>
<?
	if (!isset($Submit)) {
?>
<form action="cursos.php" method="post">
<table width="95%" border="1" cellspacing="0" cellpadding="0" align="center">
<tr>
	<td width="30%"><font face="Verdana" size="2" color="#000000"><strong>Código do Curso</strong></font></td>
	<td width="70%"><input type="text" name="codigo" size="50" maxlength="40"></td>
</tr>
<tr>
	<td><font face="Verdana" size="2" color="#000000"><strong>Nome do Curso</strong></font></td>
	<td><input type="text" name="nome" size="50" maxlength="40"></td>
</tr>
<tr>
	<td><font face="Verdana" size="2" color="#000000"><strong>Habilitação</strong></font></td>
	<td><input type="text" name="habilitacao" size="50" maxlength="40"></td>
</tr>
<tr>
	<td><font face="Verdana" size="2" color="#000000"><strong>Reconhecimento</strong></font></td>
	<td><input type="text" name="reconhecimento" size="50" maxlength="40"></td>
</tr>
<tr>
	<td><font face="Verdana" size="2" color="#000000"><strong>Vagas</strong></font></td>
	<td><input type="text" name="vagas" size="50" maxlength="40"></td>
</tr>
<tr>
	<td><font face="Verdana" size="2" color="#000000"><strong>Turno</strong></font></td>
	<td><input type="text" name="turno" size="50" maxlength="40"></td>
</tr>
<tr>
	<td><font face="Verdana" size="2" color="#000000"><strong>Tempo Mínimo</strong></font></td>
	<td><input type="text" name="tmin" size="50" maxlength="40"></td>
</tr>
<tr>
	<td><font face="Verdana" size="2" color="#000000"><strong>Tempo Máximo</strong></font></td>
	<td><input type="text" name="tmax" size="50" maxlength="40"></td>
</tr>
<tr>
	<td><font face="Verdana" size="2" color="#000000"><strong>Unidade</strong></font></td>
	<td><input type="text" name="unidade" size="50" maxlength="40"> <font face="Verdana" size="1" color="red">Ex: semestral.</font></td>
</tr>
<tr>
	<td colspan="2">
		<div align="center">
			<input type="submit" name="Submit" value="Cadastrar">
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			<input type="reset" value="Limpar Campos">
			<input type="hidden" name="funcao" value="<? echo $funcao; ?>">
		</div>
	</td>
</tr>
</table>
</form>
<?
	}
	else {
		$codigo = $codigo;
		$nome = $nome;
		$habilitacao = $habilitacao;
		$reconhecimento = $reconhecimento;
		$vagas = $vagas;
		$turno = $turno;
		$tmin = $tmin;
		$tmax = $tmax;
		$unidade = $unidade;
		mysql_connect( $bd_host, $bd_user, $bd_senha )
			or die ( 'Não foi possível conectar ao Servidor.' );
		mysql_select_db( $bd_database )
			or die ( 'Não foi possível conectar a Base de Dados.' );
		  $sql = "insert into cursos (codigo_curso, nome_curso, habilitacao, vagas, turno, reconhecimento, tempo_min, tempo_max, duracao) values ('$codigo', '$nome', '$habilitacao', '$vagas', '$turno', '$reconhecimento', '$tmin', '$tmax', '$unidade')";
        $result = mysql_query($sql)
			or die ( 'Não foi possivel efetuar a inclusao de um novo curso.' );
		echo '<font face="Verdana" size="3" color="#FF0000"><div align="center"><strong>Cadastro Efetuado</strong></div></font>';
	}
?>
<?
		exit;
	}
?>
<?
	##
	# Alteracao
	#
	if ($funcao == 2) {
	if (!isset($qual)){
	mysql_connect( $bd_host, $bd_user, $bd_senha )
			or die ( 'Não foi possível conectar ao Servidor.' );
		mysql_select_db( $bd_database )
			or die ( 'Não foi possível conectar a Base de Dados.' );
		$sql = "SELECT * FROM cursos ORDER by codigo_curso ASC";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		$num = mysql_num_rows($result);
		if ($num == 0 ) {
			echo 'Não existe nenhum curso cadastrado no Sistema!!!';
		}
		else {
			echo '<strong><div align="center"><font face="Verdana" size="2">ALTERANDO/EXCLUINDO Cursos</font></div></strong>';
			echo '<br><table width="95%" border="1" cellspacing="0" cellpadding="0" align="center">';
			$cor = "FFFFFF";
			while($information = mysql_fetch_array($result)) {
				echo '<tr>';
					echo '<td width="4%" align="center" bgcolor="' . $cor . '">';
						echo '<a href="cursos.php?funcao=2&qual='. $information["codigo"] . '"><font face ="verdana" size = "1">' . $information["codigo_curso"] . '</font></a>';
					echo '</td>';
					echo '<td width="20%" align="left" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1">' . $information["nome_curso"] . '</font>';
					echo '</td>';
					echo '<td width="20%" align="left" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1">' . $information["habilitacao"] . '</font>';
					echo '</td>';
					echo '<td width="4%" align="center" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1">' . $information["vagas"] . '</font>';
					echo '</td>';
					echo '<td width="15%" align="left" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1">' . $information["turno"] . '</font>';
					echo '</td>';
					echo '<td width="10%" align="left" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1">' . $information["tempo_min"] . '/' . $information["tempo_max"] . ' ' . $information["duracao"] . '</font>';
					echo '</td>';
			if ($cor == "FFFFFF") 
				$cor = "E1E1E1";
			else 
				$cor = "FFFFFF";
			}
		}
?>

<strong><font face="Verdana" size="2" color="#FF0000"><div align="center">Clique no CÓDIGO do Curso a ser ALTERADO/EXCLUIDO.</div></font></strong>
<br>
<?
	}
	else {
		if (!isset($Submit)) {
		mysql_connect( $bd_host, $bd_user, $bd_senha )
			or die ( 'Não foi possível conectar ao Servidor.' );
		mysql_select_db( $bd_database )
			or die ( 'Não foi possível conectar a Base de Dados.' );
		$sql = "SELECT * FROM cursos Where codigo = $qual";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161a.' );
		$num = mysql_num_rows($result);
		$temporario = mysql_fetch_array($result);
?>





<form action="cursos.php" method="post">
<table width="95%" border="1" cellspacing="0" cellpadding="0" align="center">
<tr>
	<td width="30%"><font face="Verdana" size="2" color="#000000"><strong>Código do Curso</strong></font></td>
	<td width="70%"><input type="text" name="codigo" size="50" maxlength="40" value="<? echo $temporario[1]; ?>"></td>
</tr>
<tr>
	<td><font face="Verdana" size="2" color="#000000"><strong>Nome do Curso</strong></font></td>
	<td><input type="text" name="nome" size="50" maxlength="40" value="<? echo $temporario[2]; ?>"></td>
</tr>
<tr>
	<td><font face="Verdana" size="2" color="#000000"><strong>Habilitação</strong></font></td>
	<td><input type="text" name="habilitacao" size="50" maxlength="40" value="<? echo $temporario[3]; ?>"></td>
</tr>
<tr>
	<td><font face="Verdana" size="2" color="#000000"><strong>Reconhecimento</strong></font></td>
	<td><input type="text" name="reconhecimento" size="50" maxlength="200" value="<? echo $temporario[6]; ?>"></td>
</tr>
<tr>
	<td><font face="Verdana" size="2" color="#000000"><strong>Vagas</strong></font></td>
	<td><input type="text" name="vagas" size="50" maxlength="40" value="<? echo $temporario[4]; ?>"></td>
</tr>
<tr>
	<td><font face="Verdana" size="2" color="#000000"><strong>Turno</strong></font></td>
	<td><input type="text" name="turno" size="50" maxlength="40" value="<? echo $temporario[5]; ?>"></td>
</tr>
<tr>
	<td><font face="Verdana" size="2" color="#000000"><strong>Tempo Mínimo</strong></font></td>
	<td><input type="text" name="tmin" size="50" maxlength="40" value="<? echo $temporario[7]; ?>"></td>
</tr>
<tr>
	<td><font face="Verdana" size="2" color="#000000"><strong>Tempo Máximo</strong></font></td>
	<td><input type="text" name="tmax" size="50" maxlength="40" value="<? echo $temporario[8]; ?>"></td>
</tr>
<tr>
	<td><font face="Verdana" size="2" color="#000000"><strong>Unidade</strong></font></td>
	<td><input type="text" name="unidade" size="50" maxlength="40" value="<? echo $temporario[9]; ?>"> <font face="Verdana" size="1" color="red">Ex: semestral.</font></td>
</tr>
<tr>
	<td colspan="2">
		<div align="center">
			<input type="submit" name="Submit" value="Alterar Curso">
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			<input type="submit" name="Submit" value="Excluir Curso">
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			<input type="reset" value="Limpar Campos">
			<input type="hidden" name="funcao" value="<? echo $funcao; ?>">
			<input type="hidden" name="qual" value="<? echo $qual; ?>">
		</div>
	</td>
</tr>
</table>
</form>






<?
	}
	else {
		if ($Submit == 'Alterar Curso') {
		$codigo = $codigo;
		$nome = $nome;
		$habilitacao = $habilitacao;
		$reconhecimento = $reconhecimento;
		$vagas = $vagas;
		$turno = $turno;
		$tmin = $tmin;
		$tmax = $tmax;
		$unidade = $unidade;
		mysql_connect( $bd_host, $bd_user, $bd_senha )
			or die ( 'Não foi possível conectar ao Servidor.' );
		mysql_select_db( $bd_database )
			or die ( 'Não foi possível conectar a Base de Dados.' );
		mysql_query("update cursos set codigo_curso='$codigo', nome_curso='$nome', habilitacao='$habilitacao', vagas='$vagas', turno='$turno', reconhecimento='$reconhecimento', tempo_min='$tmin', tempo_max='$tmax', duracao='$unidade' where codigo = $qual")
			or die ( 'Não foi possivel efetuar a alteracao dos dados da curso.' );
		echo '<br><br><br><center><font color="#000000" face="Verdana" size="3"><b>Curso Alterado</font>';
		}
		if ($Submit == 'Excluir Curso') {
		mysql_connect( $bd_host, $bd_user, $bd_senha )
			or die ( 'Não foi possível conectar ao Servidor.' );
		mysql_select_db( $bd_database )
			or die ( 'Não foi possível conectar a Base de Dados.' );
		$remocao = "Delete from cursos where codigo=$qual";
		$executa_remocao = mysql_query($remocao)
			or die ( 'Não foi executada a remoção.' );
		echo '<br><br><br><center><font color="#000000" face="Verdana" size="3"><b>Curso Excluído</font>';
		}
	}
	}
		exit;
	}
?>
<?
	##
	# Listar
	#
	if ($funcao == 4) {

	mysql_connect( $bd_host, $bd_user, $bd_senha )
			or die ( 'Não foi possível conectar ao Servidor.' );
		mysql_select_db( $bd_database )
			or die ( 'Não foi possível conectar a Base de Dados.' );
			if (isset($j1)) {
			$relacao_de_cursos = '';
			for ($i = 0; $i <= $j1; $i++) {
				if ($curso_do_vest[$i] != '') {
					$relacao_de_cursos .= $curso_do_vest[$i] . ',';
				}
			}
			$tamano_relacao = strlen($relacao_de_cursos);
			$nova_relacao = '';
			for ($i=0;$i<($tamano_relacao-1);$i++) {
				$nova_relacao .= $relacao_de_cursos[$i];
			}
			mysql_query("update vestibulares set cursos='$nova_relacao' where codigo = $qual_vestibular")
			or die ( 'Não foi possivel efetuar a selecao.' );
			}
			
		$sql = "SELECT * FROM vestibulares where codigo = $qual_vestibular";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		while($information = mysql_fetch_array($result)) {
			$cursos_do_vest = $information["cursos"];
			$descricao_do_vest = $information["vestibular"];
		}
		$cursos = split(",",$cursos_do_vest);
		$sql = "SELECT * FROM cursos ORDER by codigo_curso ASC";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		$num = mysql_num_rows($result);
		if ($num == 0 ) {
			echo 'Nao existe nenhum adminstrador cadastrado no sistema!!!';
		}
		else {
			echo '<strong><div align="center"><font face="Verdana" size="2">EXIBINDO Cursos</font></div></strong>';
			echo '<form action="cursos.php?funcao=4" method="post">';
			echo '<br><table width="95%" border="1" cellspacing="0" cellpadding="0" align="center">';
			$cor = "FFFFFF";
			$j = 0;
			while($information = mysql_fetch_array($result)) {
				echo '<tr>';
					echo '<td width="4%" align="center" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1"><input type="checkbox" name="curso_do_vest['.$j.']" value="'.$information["codigo"].'"';
						for ($i = 0; $i < $num; $i++) {
							if ($information["codigo"] == $cursos[$i]) {
								echo ' checked';
							}
						}
						echo '>';
					echo '</td>';

					echo '<td width="4%" align="center" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1">' .$information["codigo_curso"] . '</font>';
					echo '</td>';
					echo '<td width="18%" align="left" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1">' . $information["nome_curso"] . '</font>';
					echo '</td>';
					echo '<td width="18%" align="left" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1">' . $information["habilitacao"] . '</font>';
					echo '</td>';
					echo '<td width="4%" align="center" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1">' . $information["vagas"] . '</font>';
					echo '</td>';
					echo '<td width="15%" align="left" bgcolor="' . $cor . '">';

						echo '<font face ="verdana" size = "1">' . $information["turno"]. '</font>';
					echo '</td>';
					echo '<td width="10%" align="left" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1">' . $information["tempo_min"] . '/' . $information["tempo_max"] . ' ' . $information["duracao"] . '</font>';
					echo '</td>';
			if ($cor == "FFFFFF") 
				$cor = "E1E1E1";
			else 
				$cor = "FFFFFF";
			$j++;
			}
				echo '<tr>';
					echo '<input type="hidden" name="j1" value="'.$j.'">';
					echo '<td colspan="7" align="center"><input type="submit" name="Submit" value="Atualizar Seleção dos cursos para o '.$descricao_do_vest.'"></td>';
				echo '</tr>';
			echo '</table>';
			echo '</form>';
		}
?>
<?
		exit;
	}
?>
</body>
</html>

